# Get All Funding Rates

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/post-trade-settlement/interest`

Retrieve the current PTS funding rates and terms per currency.

### Response Body

| Key                                 | Description                                                                                                  |
| ----------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| **`interest_rate`**                 | Annualized interest rate as decimal (i.e. `0.02` = 2%)                                                       |
| **`interest_grace_period_minutes`** | The amount of time in minutes after a position has been opened that interest will not accrue to the position |
| **`interest_frequency_minutes`**    | The frequency in minutes at which a position will accrue interest after the grace period has ended           |

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "usd": {
        "interest_rate":0.02,
        "interest_frequency_minutes":60,
        "interest_grace_period_minutes":1440
    },
    "btc": {
        "interest_rate":0.03,
        "interest_frequency_minutes":60,
        "interest_grace_period_minutes":1440
    }
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' \
https://api.sfox.com/v1/post-trade-settlement/interest
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/post-trade-settlement/interest',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/post-trade-settlement/interest",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/post-trade-settlement-pts/get-all-funding-rates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
